#!/bin/bash

sudo -n apt-get update
sudo -n DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends fish vim

USER=`whoami`
sudo -n chsh $USER -s $(which fish)
sudo -n chsh vscode -s $(which fish)

echo "sv_SE.UTF-8 UTF-8" | sudo tee -a /etc/locale.gen
locale-gen

cat << EOF > ~/.gitconfig
[include]
  path = ${HOME}/dotfiles/git/gitconfig
[core]
  excludesfile = ${HOME}/dotfiles/git/gitignore_global
EOF

mkdir -p ~/.config/
ln -s ~/dotfiles/fish ~/.config/fish
